org.apache.ignite.internal.processors.cache

## Class GridCacheAttributes

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAttributes

All Implemented Interfaces:
  Serializable

    public class GridCacheAttributes
    extends Object
    implements Serializable

Cache attributes.

This class contains information on a single cache configured on some node.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheAttributes(CacheConfiguration cfg)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `affinityIncludeNeighbors()`
`int` `affinityKeyBackups()`
`int` `affinityPartitionsCount()`
`CacheAtomicityMode` `atomicityMode()`
`String` `cacheAffinityClassName()`
`String` `cacheAffinityMapperClassName()`
`CacheMode` `cacheMode()`
`String` `cacheName()`
`CacheRebalanceMode` `cacheRebalanceMode()`
`CacheConfiguration` `configuration()`
`long` `defaultLockTimeout()`
`String` `evictionFilterClassName()`
`String` `evictionPolicyClassName()` Deprecated. Use evictionPolicyFactoryClassName() instead.
`String` `evictionPolicyFactoryClassName()`
`String` `groupName()`
`String` `interceptorClassName()`
`boolean` `loadPreviousValue()`
`boolean` `nearCacheEnabled()`
`String` `nearEvictionPolicyClassName()` Deprecated. Use nearEvictionPolicyFactoryClassName() instead.
`String` `nearEvictionPolicyFactoryClassName()`
`boolean` `readThrough()`
`long` `rebalanceBatchesPrefetchCount()`
`int` `rebalanceBatchSize()`
`long` `rebalanceDelay()`
`int` `rebalanceOrder()`
`long` `rebalanceThrottle()`
`long` `rebalanceTimeout()`
`String` `storeFactoryClassName()`
`String` `toString()`
`String` `transactionManagerLookupClassName()` Deprecated. Transaction manager lookup must be configured in `TransactionConfiguration.getTxManagerLookupClassName()`.
`int` `writeBehindBatchSize()`
`boolean` `writeBehindCoalescing()`
`boolean` `writeBehindEnabled()`
`long` `writeBehindFlushFrequency()`
`int` `writeBehindFlushSize()`
`int` `writeBehindFlushThreadCount()`
`CacheWriteSynchronizationMode` `writeSynchronization()`
`boolean` `writeThrough()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheAttributes

    public GridCacheAttributes(CacheConfiguration cfg)

Parameters:
  `cfg` - Cache configuration.

### Method Detail

#### groupName

    public String groupName()

Returns:
  Cache group name.

#### configuration

    public CacheConfiguration configuration()

Returns:
  Cache configuration.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### cacheMode

    public CacheMode cacheMode()

Returns:
  Cache mode.

#### atomicityMode

    public CacheAtomicityMode atomicityMode()

Returns:
  Cache atomicity mode.

#### nearCacheEnabled

    public boolean nearCacheEnabled()

Returns:
  `True` if near cache is enabled.

#### cacheRebalanceMode

    public CacheRebalanceMode cacheRebalanceMode()

Returns:
  Preload mode.

#### cacheAffinityClassName

    public String cacheAffinityClassName()

Returns:
  Affinity class name.

#### cacheAffinityMapperClassName

    public String cacheAffinityMapperClassName()

Returns:
  Affinity mapper class name.

#### affinityIncludeNeighbors

    public boolean affinityIncludeNeighbors()

Returns:
  Affinity include neighbors.

#### affinityKeyBackups

    public int affinityKeyBackups()

Returns:
  Affinity key backups.

#### affinityPartitionsCount

    public int affinityPartitionsCount()

Returns:
  Affinity partitions count.

#### evictionFilterClassName

    public String evictionFilterClassName()

Returns:
  Eviction filter class name.

#### evictionPolicyClassName

    @Deprecated
    public String evictionPolicyClassName()

Deprecated. Use evictionPolicyFactoryClassName() instead.

Returns:
  Eviction policy class name.

#### evictionPolicyFactoryClassName

    public String evictionPolicyFactoryClassName()

Returns:
  Eviction policy factory class name.

#### nearEvictionPolicyClassName

    public String nearEvictionPolicyClassName()

Deprecated. Use nearEvictionPolicyFactoryClassName() instead.

Returns:
  Near eviction policy class name.

#### nearEvictionPolicyFactoryClassName

    public String nearEvictionPolicyFactoryClassName()

Returns:
  Near eviction policy factory class name.

#### storeFactoryClassName

    public String storeFactoryClassName()

Returns:
  Store class name.

#### transactionManagerLookupClassName

    @Deprecated
    public String transactionManagerLookupClassName()

Deprecated. Transaction manager lookup must be configured in `TransactionConfiguration.getTxManagerLookupClassName()`.

Returns:
  Transaction manager lookup class name.

#### defaultLockTimeout

    public long defaultLockTimeout()

Returns:
  Default lock timeout.

#### rebalanceBatchSize

    public int rebalanceBatchSize()

Returns:
  Preload batch size.

#### rebalanceDelay

    public long rebalanceDelay()

Returns:
  Rebalance delay.

#### rebalanceBatchesPrefetchCount

    public long rebalanceBatchesPrefetchCount()

Returns:
  Rebalance prefetch count.

#### rebalanceOrder

    public int rebalanceOrder()

Returns:
  Rebalance order.

#### rebalanceThrottle

    public long rebalanceThrottle()

Returns:
  Rebalance throttle.

#### rebalanceTimeout

    public long rebalanceTimeout()

Returns:
  Rebalance timeout.

#### writeSynchronization

    public CacheWriteSynchronizationMode writeSynchronization()

Returns:
  Synchronization mode.

#### readThrough

    public boolean readThrough()

Returns:
  Flag indicating whether read-through behaviour is enabled.

#### writeThrough

    public boolean writeThrough()

Returns:
  Flag indicating whether read-through behaviour is enabled.

#### loadPreviousValue

    public boolean loadPreviousValue()

Returns:
  Flag indicating whether old value is loaded from store for cache operation.

#### writeBehindEnabled

    public boolean writeBehindEnabled()

Returns:
  Flag indicating whether Ignite should use write-behind behaviour for the cache store.

#### writeBehindFlushSize

    public int writeBehindFlushSize()

Returns:
  Maximum size of write-behind cache.

#### writeBehindFlushFrequency

    public long writeBehindFlushFrequency()

Returns:
  Write-behind flush frequency in milliseconds.

#### writeBehindFlushThreadCount

    public int writeBehindFlushThreadCount()

Returns:
  Flush thread count for write-behind cache store.

#### writeBehindBatchSize

    public int writeBehindBatchSize()

Returns:
  Maximum batch size for write-behind cache store.

#### writeBehindCoalescing

    public boolean writeBehindCoalescing()

Returns:
  Write coalescing flag.

#### interceptorClassName

    public String interceptorClassName()

Returns:
  Interceptor class name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018